### Method

# Gtk Rangeset_fill_level

#### Declaration [src]

    void
    gtk_range_set_fill_level (
      GtkRange* range,
      double fill_level
    )

#### Description [src]

Set the new position of the fill level indicator.

The “fill level” is probably best described by its most prominent use case, which is an indicator for the amount of pre-buffering in a streaming media player. In that use case, the value of the range would indicate the current play position, and the fill level would be the position up to which the file/stream has been downloaded.

This amount of prebuffering can be displayed on the range’s trough and is themeable separately from the trough. To enable fill level display, use `gtk_range_set_show_fill_level()`. The range defaults to not showing the fill level.

Additionally, it’s possible to restrict the range’s slider position to values which are smaller than the fill level. This is controlled by `gtk_range_set_restrict_to_fill_level()` and is by default enabled.

Sets property | `Gtk.Range:fill-level`

#### Parameters

`fill_level`

  Type: `double`

  The new position of the fill level indicator.